# Enum Class SyWindowDecorationComponent

java.lang.Object
java.lang.Enum<SyWindowDecorationComponent>
com.io7m.jsycamore.api.windows.SyWindowDecorationComponent

All Implemented Interfaces:
  `Serializable, Comparable<SyWindowDecorationComponent>, Constable`

public enum SyWindowDecorationComponent extends Enum<SyWindowDecorationComponent>
Enumerations identifying the components that can be attached directly to a window.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `WINDOW_BUTTON_CLOSE`
  The window closed button.
  `WINDOW_BUTTON_MAXIMIZE`
  The window maximize button.
  `WINDOW_BUTTON_MENU`
  The window menu button.
  `WINDOW_CONTENT_AREA`
  The window's content area.
  `WINDOW_RESIZE_E`
  The eastern resize box.
  `WINDOW_RESIZE_N`
  The northern resize box.
  `WINDOW_RESIZE_NE`
  The northeastern resize box.
  `WINDOW_RESIZE_NW`
  The northwestern resize box.
  `WINDOW_RESIZE_S`
  The southern resize box.
  `WINDOW_RESIZE_SE`
  The southeastern resize box.
  `WINDOW_RESIZE_SW`
  The southwestern resize box.
  `WINDOW_RESIZE_W`
  The western resize box.
  `WINDOW_ROOT`
  The root.
  `WINDOW_TITLE`
  The title bar.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isDecoration()`
  Some window components are decorations.
  `static SyWindowDecorationComponent`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyWindowDecorationComponent[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WINDOW_BUTTON_CLOSE

    public static final SyWindowDecorationComponent WINDOW_BUTTON_CLOSE
    The window closed button.

  - ### WINDOW_BUTTON_MAXIMIZE

    public static final SyWindowDecorationComponent WINDOW_BUTTON_MAXIMIZE
    The window maximize button.

  - ### WINDOW_BUTTON_MENU

    public static final SyWindowDecorationComponent WINDOW_BUTTON_MENU
    The window menu button.

  - ### WINDOW_CONTENT_AREA

    public static final SyWindowDecorationComponent WINDOW_CONTENT_AREA
    The window's content area.

  - ### WINDOW_RESIZE_E

    public static final SyWindowDecorationComponent WINDOW_RESIZE_E
    The eastern resize box.

  - ### WINDOW_RESIZE_N

    public static final SyWindowDecorationComponent WINDOW_RESIZE_N
    The northern resize box.

  - ### WINDOW_RESIZE_NE

    public static final SyWindowDecorationComponent WINDOW_RESIZE_NE
    The northeastern resize box.

  - ### WINDOW_RESIZE_NW

    public static final SyWindowDecorationComponent WINDOW_RESIZE_NW
    The northwestern resize box.

  - ### WINDOW_RESIZE_S

    public static final SyWindowDecorationComponent WINDOW_RESIZE_S
    The southern resize box.

  - ### WINDOW_RESIZE_SE

    public static final SyWindowDecorationComponent WINDOW_RESIZE_SE
    The southeastern resize box.

  - ### WINDOW_RESIZE_SW

    public static final SyWindowDecorationComponent WINDOW_RESIZE_SW
    The southwestern resize box.

  - ### WINDOW_RESIZE_W

    public static final SyWindowDecorationComponent WINDOW_RESIZE_W
    The western resize box.

  - ### WINDOW_ROOT

    public static final SyWindowDecorationComponent WINDOW_ROOT
    The root.

  - ### WINDOW_TITLE

    public static final SyWindowDecorationComponent WINDOW_TITLE
    The title bar.

- ## Method Details

  - ### values

    public static SyWindowDecorationComponent[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyWindowDecorationComponent valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isDecoration

    public boolean isDecoration()
    Some window components are decorations. Decorations are made invisible when windows are set to undecorated mode.
    Returns:
      `true` if the component is a "decoration"